Bug 241237 - [NEW PORT] multimedia/kodi-addon-peripheral.joystick-devel: Joystick support for Kodi
Summary: [NEW PORT] multimedia/kodi-addon-peripheral.joystick-devel: Joystick support ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: feature, needs-patch, needs-qa
Depends on: 241348
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-14 02:42 UTC by rozhuk.im
Modified: 2019-11-27 10:23 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback? (rozhuk.im)


Attachments
patch (60.85 KB, patch)
2019-10-14 02:42 UTC, rozhuk.im
no flags Details | Diff
patch (60.85 KB, patch)
2019-10-14 10:14 UTC, rozhuk.im
no flags Details | Diff
rome noninja (60.85 KB, patch)
2019-10-14 10:16 UTC, rozhuk.im
no flags Details | Diff
small changes in lib detect (60.85 KB, patch)
2019-10-14 22:06 UTC, rozhuk.im
koobs: maintainer-approval-
Details | Diff
patch (13.45 KB, patch)
2019-10-19 22:05 UTC, rozhuk.im
no flags Details | Diff
patch (13.55 KB, patch)
2019-10-20 12:31 UTC, rozhuk.im
rozhuk.im: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2019-10-14 02:42:09 UTC
Created attachment 208290 [details]
patch

This is devel version of multimedia/kodi-addon-peripheral-joystick for multimedia/kodi-devel.
Comment 1 rozhuk.im 2019-10-14 10:14:30 UTC
Created attachment 208296 [details]
patch
Comment 2 rozhuk.im 2019-10-14 10:16:32 UTC
Created attachment 208297 [details]
rome noninja
Comment 3 rozhuk.im 2019-10-14 22:06:56 UTC
Created attachment 208315 [details]
small changes in lib detect
Comment 4 Tobias Kortkamp freebsd_committer 2019-10-15 07:34:45 UTC
Please address the problems below.

+PORTNAME=	kodi-addon-peripheral-joystick
+PORTVERSION=	1.4.8
+DISTVERSIONPREFIX=v
+CATEGORIES=	multimedia
+PKGNAMESUFFIX=	-devel

It would be nice if you could set PORTNAME, PKGNAME{PREFIX,SUFFIX}
like I did in multimedia/kodi-addon-inputstream.adaptive-devel and
rename the port dir to multimedia/kodi-addon-peripheral.joystick-devel.
You can also drop GH_PROJECT afterwards.  Please copy BUILD_DEPENDS
and RUN_DEPENDS from there too.

+GH_TAGNAME=	7611722a4921b66674a41c3f5322ff0a54246b71

Drop this and DISTVERSIONPREFIX.  The repository has a 1.4.8-Leia
tag with that commit already, so:

DISTVERSION=	1.4.8
DISTVERSIONSUFFIX=	-Leia

+	@${CP} -f ${FILESDIR}/input.h ${WRKSRC}/src/linux/
+	@${CP} -f ${FILESDIR}/input-event-codes.h ${WRKSRC}/src/linux/

I do not like this at all.  Can this port not use evdev-proto instead
of having its own copy of these headers?
Comment 5 rozhuk.im 2019-10-19 22:05:22 UTC
Created attachment 208430 [details]
patch
Comment 6 Tobias Kortkamp freebsd_committer 2019-10-20 07:13:41 UTC
Comment on attachment 208430 [details]
patch

Looks fine to me from a technical point of view.  If you could embellish
pkg-descr a little (not just a repeat of COMMENT, 2-3 proper sentences on what
this addon does, enables, and that this port is for kodi-devel) that would be 
perfect.
 
+# Created by: Rozhuk Ivan 2018 - 2019 <rozhuk.im@gmail.com>

Usually we discourage adding new "Created by" lines.  However this is fine
with me if you really want to have it, but I think you should remove the years.
The date and your name will already be in the commit log.
Comment 7 rozhuk.im 2019-10-20 12:31:45 UTC
Created attachment 208454 [details]
patch
Comment 8 commit-hook freebsd_committer 2019-11-27 10:19:40 UTC
A commit references this bug:

Author: tobik
Date: Wed Nov 27 10:19:31 UTC 2019
New revision: 518491
URL: https://svnweb.freebsd.org/changeset/ports/518491

Log:
  New port: multimedia/kodi-addon-peripheral.joystick-devel

  This add-on provides joystick drivers and button mapping services
  for Kodi.  It uses Kodi's Peripheral API.

  This port is for multimedia/kodi-devel only.

  WWW: https://github.com/xbmc/peripheral.joystick

  PR:		241237
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/multimedia/Makefile
  head/multimedia/kodi-addon-peripheral.joystick-devel/
  head/multimedia/kodi-addon-peripheral.joystick-devel/Makefile
  head/multimedia/kodi-addon-peripheral.joystick-devel/distinfo
  head/multimedia/kodi-addon-peripheral.joystick-devel/files/
  head/multimedia/kodi-addon-peripheral.joystick-devel/pkg-descr
  head/multimedia/kodi-addon-peripheral.joystick-devel/pkg-plist
Comment 9 Tobias Kortkamp freebsd_committer 2019-11-27 10:23:22 UTC
Committed. Thanks!

Would be nice to see kodi-addon-peripheral-joystick use evdev-proto too.
Can you submit a patch for that?